Bug 444876 - [RHEL4/Evo28] crash originated from libical in the evolution-data-server process
[RHEL4/Evo28] crash originated from libical in the evolution-data-server process
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution28-evolution-data-server (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Matthew Barnes
:
Depends On:
Blocks: 391511
  Show dependency treegraph
 
Reported: 2008-05-01 09:29 EDT by Alan Matsuoka
Modified: 2010-10-22 20:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 17:30:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evolution28-2.8.0-59.el4-ODD-calendar-alarm-checkbox-behaviour.tgz (357.65 KB, application/x-compressed-tar)
2008-05-01 09:29 EDT, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2008-05-01 09:29:49 EDT
Per Event posted 2008-04-22 11:41am EDT by bugzilla
from IT 130351 [RHEL 4] evolution28 calandar notictions stop

quoted here:

These changes made by mbarnes@redhat.com.
Bugzilla comment added:
This stacktrace is new to me too.  It doesn't match anything we've seen yet.
The crash originated from libical in the evolution-data-server process.

Nick, please open a new ticket for this.  It appears to have nothing to do with
Exchange calendar notifications.


Stacktrace follows:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1278215264 (LWP 24997)]
0x00a6b924 in __libc_free (mem=0xfc9714) at malloc.c:3409
3409  (void)mutex_lock(&ar_ptr->mutex);

Thread 10 (Thread -1278215264 (LWP 24997)):
#0  0x00a6b924 in __libc_free (mem=0xfc9714) at malloc.c:3409
#1  0x00faf2eb in icaltimezone_reset (zone=0xfdf940) at icaltimezone.c:238
#2  0x00faf351 in icaltimezone_free (zone=0xfdf940, free_struct=1)
  at icaltimezone.c:227
#3  0x00525fe3 in e_cal_backend_file_finalize (object=0xb3d05900)
  at e-cal-backend-file.c:304
#4  0x00521338 in e_cal_backend_file_events_finalize (object=0xb3d05900)
  at e-cal-backend-file-events.c:137
#5  0x0011dad3 in IA__g_object_unref (_object=0xb3d05900) at gobject.c:1785
#6  0x001af973 in g_hash_nodes_destroy (hash_node=0x8404f00,
  key_destroy_func=0x1c2d5f <IA__g_free>,
  value_destroy_func=0x11d959 <IA__g_object_unref>) at ghash.c:783
#7  0x001b0297 in IA__g_hash_table_remove_all (hash_table=0x8381b40)
  at ghash.c:468
#8  0x001b035f in IA__g_hash_table_destroy (hash_table=0x8381b40)
  at ghash.c:221
#9  0x00341c29 in e_data_cal_factory_finalize (object=0x8387180)
  at e-data-cal-factory.c:286
#10 0x0011dad3 in IA__g_object_unref (_object=0x8387180) at gobject.c:1785
#11 0x036ef240 in bonobo_object () from /usr/lib/libbonobo-2.so.0
#12 0x035dfb9f in ORBit_POA_setup_root () from /usr/lib/libORBit-2.so.0
#13 0x035dfe73 in ORBit_POAObject_post_invoke () from /usr/lib/libORBit-2.so.0
#14 0x035e0374 in ORBit_POAObject_post_invoke () from /usr/lib/libORBit-2.so.0
#15 0x035e0772 in ORBit_POAObject_post_invoke () from /usr/lib/libORBit-2.so.0
#16 0x035cb4a1 in giop_thread_queue_process () from /usr/lib/libORBit-2.so.0
#17 0x035cb568 in giop_thread_queue_process () from /usr/lib/libORBit-2.so.0
#18 0x001d87df in g_thread_pool_thread_proxy (data=0x8383e78)
  at gthreadpool.c:265
#19 0x001d6a46 in g_thread_create_proxy (data=0xb3d55b98) at gthread.c:553
#20 0x00c6a3cc in start_thread (arg=0xb3cffba0) at pthread_create.c:274
#21 0x00ad21ae in ?? () from /lib/tls/libc.so.6
--------------------------------------------------------

I am opening this new IT. I'll learn which attachment it was in 130351 that
prompted this new IT and attach it here.

Nick
Comment 1 Alan Matsuoka 2008-05-01 09:29:49 EDT
Created attachment 304308 [details]
evolution28-2.8.0-59.el4-ODD-calendar-alarm-checkbox-behaviour.tgz
Comment 2 RHEL Product and Program Management 2008-09-05 13:10:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 RHEL Product and Program Management 2008-09-26 17:30:41 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.